%define debug_package %{nil}

%global sname ip4r


%define __SCL	0
%if  0%{?centos} == 6
%ifarch x86_64
%define __SCL	1
%endif
%endif

%if 0%{?__SCL} > 0 
	%define  POSTGRESQL postgresql92
	%define _bindir %(dirname `echo which psql | scl enable %{POSTGRESQL} -`)
	%define _datadir %{_bindir}/../share
	%define _libdir %{_bindir}/../lib64
	%define _mandir %{_datadir}/man
	%define _docdir %{_datadir}/doc
%endif

%define PGSQL pgsql

Name:           %{sname}
Summary:	IPv4 and IPv4 range index types for PostgreSQL
Version:	2.0.2
Release:	1%{?dist}
License:	BSD
Group:		Applications/Databases
Source0:	http://pgfoundry.org/frs/download.php/2607/%{sname}-%{version}.tar.gz
URL:		http://pgfoundry.org/projects/ip4r
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
%if 0%{?fedora} >= 17 || 0%{?centos} == 7
BuildRequires:	postgresql-devel
Requires:	postgresql-server
%endif
%if %{?__SCL}
BuildRequires:	%{POSTGRESQL}-postgresql-devel
Requires:	%{POSTGRESQL}-postgresql-server
%endif
BuildRequires:	doxygen

Provides:	postgresql-%{name}

%description
ip4 and ip4r are types that contain a single IPv4 address and a range of 
IPv4 addresses respectively. They can be used as a more flexible, 
indexable version of the cidr type.

%prep
%setup -q -n %{sname}-%{version}

%build
%if 0%{?__SCL} > 0
	echo make %{?_smp_mflags} | scl enable %{POSTGRESQL} -
%else
	make %{?_smp_mflags} 
%endif

%install
rm -rf %{buildroot}
%{__install} -d %{buildroot}%{_libdir}
%{__install} -d %{buildroot}/%{_datadir}/%{PGSQL}/contrib
%{__install} %{name}.so %{buildroot}%{_libdir}
%{__install} %{name}*.sql %{buildroot}/%{_datadir}/%{PGSQL}/contrib
%{__install} README.%{name} %{buildroot}/%{_datadir}/%{PGSQL}/contrib

%clean
rm -rf %{buildroot}

%files
%defattr(644,root,root,755)
%{_libdir}/%{name}.so
%{_datadir}/%{PGSQL}/contrib/%{name}*.sql
%{_datadir}/%{PGSQL}/contrib/README.%{name}

%changelog
* Sun May 18 2014 Lawrence R. Rogers <lrr@cert.org> - 2.0.1-1
- Unkown changes. See the enclosed README.ip4r for details.

* Mon Mar 24 2014 Lawrence R. Rogers <lrr@cert.org> - 2.0-1
- Changes to use standard Fedora/CentOS postgresql install location.

* Thu Mar 08 2012 Devrim GÜNDÜZ <devrim@gunduz.org> - 1.05-3
- Provide postgresql-ip4r, to match the package name in EPEL.

* Tue Oct 12 2010 - Devrim GUNDUZ <devrim@gunduz.org> 1.05-2
- Apply 9.0 specific changes to spec file.

* Wed Apr 21 2010 - Devrim GUNDUZ <devrim@gunduz.org> 1.05-1
- Update to 1.05

* Mon Sep 7 2009 - Devrim GUNDUZ <devrim@gunduz.org> 1.04-1
- Update to 1.04

* Fri Feb 1 2008 - Devrim GUNDUZ <devrim@gunduz.org> 1.03-1
- Update to 1.03

* Sun Jan 20 2008 - Devrim GUNDUZ <devrim@gunduz.org> 1.02-1
- Update to 1.02

* Mon Jul 9 2007 - Devrim GUNDUZ <devrim@gunduz.org> 1.01-2
- Removed unneeded ldconfig calls, per bz review #246747

* Wed Jul 4 2007 - Devrim GUNDUZ <devrim@gunduz.org> 1.01-1
- Initial RPM packaging for Fedora
